gi-gtk3-3.0.44: Gtk 3.x bindings

Copyright | Will Thompson and Iñaki García Etxebarria
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria
Safe Haskell | None
Language | Haskell2010

GI.Gtk.Structs.PadActionEntry

Contents

- Exported types
- Methods
- Properties
  - actionName
  - index
  - label
  - mode
  - type

Description

Struct defining a pad action entry.

Synopsis

- newtype PadActionEntry = PadActionEntry (ManagedPtr PadActionEntry)
- newZeroPadActionEntry :: MonadIO m => m PadActionEntry
- clearPadActionEntryActionName :: MonadIO m => PadActionEntry -> m ()
- getPadActionEntryActionName :: MonadIO m => PadActionEntry -> m (Maybe Text)
- setPadActionEntryActionName :: MonadIO m => PadActionEntry -> CString -> m ()
- getPadActionEntryIndex :: MonadIO m => PadActionEntry -> m Int32
- setPadActionEntryIndex :: MonadIO m => PadActionEntry -> Int32 -> m ()
- clearPadActionEntryLabel :: MonadIO m => PadActionEntry -> m ()
- getPadActionEntryLabel :: MonadIO m => PadActionEntry -> m (Maybe Text)
- setPadActionEntryLabel :: MonadIO m => PadActionEntry -> CString -> m ()
- getPadActionEntryMode :: MonadIO m => PadActionEntry -> m Int32
- setPadActionEntryMode :: MonadIO m => PadActionEntry -> Int32 -> m ()
- getPadActionEntryType :: MonadIO m => PadActionEntry -> m PadActionType
- setPadActionEntryType :: MonadIO m => PadActionEntry -> PadActionType -> m ()

# Exported types

newtype PadActionEntry Source #

Memory-managed wrapper type.

Constructors

PadActionEntry (ManagedPtr PadActionEntry) |

#### Instances

Instances details

Eq PadActionEntry Source # |
Instance details Defined in GI.Gtk.Structs.PadActionEntry Methods (==) :: PadActionEntry -> PadActionEntry -> Bool Source # (/=) :: PadActionEntry -> PadActionEntry -> Bool Source #
BoxedPtr PadActionEntry Source # |
Instance details Defined in GI.Gtk.Structs.PadActionEntry Methods boxedPtrCopy :: PadActionEntry -> IO PadActionEntry Source # boxedPtrFree :: PadActionEntry -> IO () Source #
CallocPtr PadActionEntry Source # |
Instance details Defined in GI.Gtk.Structs.PadActionEntry Methods boxedPtrCalloc :: IO (Ptr PadActionEntry) Source #
ManagedPtrNewtype PadActionEntry Source # |
Instance details Defined in GI.Gtk.Structs.PadActionEntry Methods toManagedPtr :: PadActionEntry -> ManagedPtr PadActionEntry Source #
tag ~ 'AttrSet => Constructible PadActionEntry tag Source # |
Instance details Defined in GI.Gtk.Structs.PadActionEntry Methods new :: MonadIO m => (ManagedPtr PadActionEntry -> PadActionEntry) -> [AttrOp PadActionEntry tag] -> m PadActionEntry Source #

newZeroPadActionEntry :: MonadIO m => m PadActionEntry Source #

Construct a `PadActionEntry` struct initialized to zero.

# Methods

# Properties

## actionName

action name that will be activated in the `ActionGroup`.

clearPadActionEntryActionName :: MonadIO m => PadActionEntry -> m () Source #

Set the value of the “`action_name`” field to `Nothing`. When overloading is enabled, this is equivalent to

    clear #actionName

getPadActionEntryActionName :: MonadIO m => PadActionEntry -> m (Maybe Text) Source #

Get the value of the “`action_name`” field. When overloading is enabled, this is equivalent to

    get padActionEntry #actionName

setPadActionEntryActionName :: MonadIO m => PadActionEntry -> CString -> m () Source #

Set the value of the “`action_name`” field. When overloading is enabled, this is equivalent to

    set padActionEntry [ #actionName := value ]

## index

the 0-indexed button/ring/strip number that will trigger this action entry.

getPadActionEntryIndex :: MonadIO m => PadActionEntry -> m Int32 Source #

Get the value of the “`index`” field. When overloading is enabled, this is equivalent to

    get padActionEntry #index

setPadActionEntryIndex :: MonadIO m => PadActionEntry -> Int32 -> m () Source #

Set the value of the “`index`” field. When overloading is enabled, this is equivalent to

    set padActionEntry [ #index := value ]

## label

Human readable description of this action entry, this string should be deemed user-visible.

clearPadActionEntryLabel :: MonadIO m => PadActionEntry -> m () Source #

Set the value of the “`label`” field to `Nothing`. When overloading is enabled, this is equivalent to

    clear #label

getPadActionEntryLabel :: MonadIO m => PadActionEntry -> m (Maybe Text) Source #

Get the value of the “`label`” field. When overloading is enabled, this is equivalent to

    get padActionEntry #label

setPadActionEntryLabel :: MonadIO m => PadActionEntry -> CString -> m () Source #

Set the value of the “`label`” field. When overloading is enabled, this is equivalent to

    set padActionEntry [ #label := value ]

## mode

the mode that will trigger this action entry, or -1 for all modes.

getPadActionEntryMode :: MonadIO m => PadActionEntry -> m Int32 Source #

Get the value of the “`mode`” field. When overloading is enabled, this is equivalent to

    get padActionEntry #mode

setPadActionEntryMode :: MonadIO m => PadActionEntry -> Int32 -> m () Source #

Set the value of the “`mode`” field. When overloading is enabled, this is equivalent to

    set padActionEntry [ #mode := value ]

## type

the type of pad feature that will trigger this action entry.

getPadActionEntryType :: MonadIO m => PadActionEntry -> m PadActionType Source #

Get the value of the “`type`” field. When overloading is enabled, this is equivalent to

    get padActionEntry #type

setPadActionEntryType :: MonadIO m => PadActionEntry -> PadActionType -> m () Source #

Set the value of the “`type`” field. When overloading is enabled, this is equivalent to

    set padActionEntry [ #type := value ]